Create a snapshot repository for Elasticsearch resource
https://api.elastic-cloud.com/api/v1
- POST /deployments/{deployment_id}/elasticsearch/{ref_id}/snapshot/repository
Important: This API is currently in Tech Preview. While available for use, it is subject to change. Creates a snapshot dependency, allowing this cluster to access snapshots from the source deployment. Currently unavailable in self-hosted ECE.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one)
Request
The source deployment to link snapshots from
-
source_deployment_idstringrequired -
Source deployment ID whose snapshots will be accessible from the target cluster
Responses
The request was accepted and the configuration change will be processed asynchronously
-
messagestringrequired -
Message indicating the request status
- Cannot create a snapshot dependency from a deployment to itself. (code:
deployments.snapshot_dependency_cannot_link_to_self) - Snapshot repository linking is not currently supported in this environment (e.g. self-hosted ECE). (code:
deployments.snapshot_dependency_not_supported_in_env) - The request failed validation. (code:
clusters.cluster_invalid_plan)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
- The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found) - The source deployment cannot be found. (code:
deployments.snapshot_dependency_source_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
Failed to create snapshot dependency. (code: deployments.snapshot_dependency_internal_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response